al_attach_shader_source_file(3)

NAME

al_attach_shader_source_file - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_attach_shader_source_file(ALLEGRO_SHADER *shader,
       ALLEGRO_SHADER_TYPE type, const char *filename)

DESCRIPTION

Like al_attach_shader_source(3) but reads the source code for the shader from the named file.

Returns true on success and false on error, in which case the error log is updated. The error log can be retrieved with al_get_shader_log(3).

SINCE

5.1.0

SEE ALSO

al_attach_shader_source(3), al_build_shader(3), al_get_shader_log(3)